Name:		million
Version:	1.0.2
Release:	%mkrel 2
Summary:	Game "Who want to be a millionaire" (Russian version)
Group:		Games/Puzzles
License:	GPLv3
URL:		http://dansoft.krasnokamensk.ru/more.html?id=1012
# http://dansoft.krasnokamensk.ru/data/1012/million_source.tar.gz
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	imagemagick
Requires:	qtbase5-database-plugin-sqlite

%description
Who want to be a millionaire? To game after watching TV show?
This is Russian version of the game. Other languages are not supported.

%prep
%setup -q

%build
%qmake_qt5 DEFINES=_ONLYRUSSIAN
%make CFLAGS="%{optflags}"

%install
# install binary
%__mkdir_p %{buildroot}%{_bindir}
%__cp Bin/%{name} %{buildroot}%{_bindir}/

# install game data
%__mkdir_p %{buildroot}%{_datadir}/%{name}
%__cp Bin/%{name}.db %{buildroot}%{_datadir}/%{name}/
%__cp -r Bin/sounds %{buildroot}%{_datadir}/%{name}/

# create and install icons
for N in 16 32 48 64 128; do convert images/logo.png -scale ${N}x${N}! ${N}.png; done
%__install -D 16.png -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%__install -D 32.png -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__install -D 48.png -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%__install -D 64.png -m 644 %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%__install -D 128.png -m 644 %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# XDG menu entry
%__mkdir_p %{buildroot}%{_datadir}/applications
%__install -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.0.2-2.mga6
+ Revision: 952420
- Mageia 6 Mass Rebuild

* Thu Feb 19 2015 alexl <alexl> 1.0.2-1.mga5
+ Revision: 815820
- add requires: qtbase5-database-plugin-sqlite

* Sat Feb 14 2015 alexl <alexl> 1.0.2-1.mga5.nonfree
+ Revision: 814956
- license gplv3 instead of freeware
- version 1.0.2
- all modifications was applied by upstream

* Wed Jan 07 2015 alexl <alexl> 1.0.0-4.mga5.nonfree
+ Revision: 809046
- updated desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5.nonfree
+ Revision: 750826
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5.nonfree
+ Revision: 682391
- Mageia 5 Mass Rebuild

* Wed Apr 09 2014 alexl <alexl> 1.0.0-1.mga5.nonfree
+ Revision: 613075
- imported package million

